com.r3corda.core.testing / TransactionGroupDSL / WireTransactionDSL

# WireTransactionDSL

`inner class WireTransactionDSL<T : ContractState> : AbstractTransactionForTest`

### Constructors

<init> | `WireTransactionDSL()`

### Inherited Properties

attachments | `val attachments: ArrayList<SecureHash>`
commands | `val commands: ArrayList<Command>`
outStates | `val outStates: ArrayList<LabeledOutput>`

### Functions

input | `fun input(label: String): Unit`
toWireTransaction | `fun toWireTransaction(): WireTransaction`

### Inherited Functions

arg | `fun arg(vararg key: PublicKey, c: () -> CommandData): Unit`
attachment | `fun attachment(attachmentID: SecureHash): Unit`
commandsToAuthenticatedObjects | `fun commandsToAuthenticatedObjects(): List<AuthenticatedObject<CommandData>>`
output | `open fun output(label: String? = null, s: () -> ContractState): <ERROR CLASS>`
timestamp | `fun timestamp(time: Instant): Unit` `fun timestamp(data: TimestampCommand): Unit`
transaction | `fun transaction(body: TransactionForTest.() -> Unit): Unit`